org.apache.solr.client.solrj.request

## Class ConfigSetAdminRequest<Q extends ConfigSetAdminRequest<Q,R>,R extends ConfigSetAdminResponse>

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<R>
  - - org.apache.solr.client.solrj.request.ConfigSetAdminRequest<Q,R>

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ConfigSetAdminRequest.ConfigSetSpecificAdminRequest, ConfigSetAdminRequest.List

      public abstract class ConfigSetAdminRequest<Q extends ConfigSetAdminRequest<Q,R>,R extends ConfigSetAdminResponse>
      extends SolrRequest<R>

  This class is experimental and subject to change.
  Since:
    solr 5.4
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>>`
    `static class` | `ConfigSetAdminRequest.Create`
    `static class` | `ConfigSetAdminRequest.Delete`
    `static class` | `ConfigSetAdminRequest.List`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ConfigSetParams.ConfigSetAction` | `action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigSetAdminRequest()`
    `ConfigSetAdminRequest(String path)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract R` | `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
    `Collection<ContentStream>` | `getContentStreams()`
    `SolrParams` | `getParams()`
    `protected abstract Q` | `getThis()`
    `protected ConfigSetAdminRequest` | `setAction(ConfigSetParams.ConfigSetAction action)`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### action

          protected ConfigSetParams.ConfigSetAction action

  - ### Constructor Detail

    - #### ConfigSetAdminRequest

          public ConfigSetAdminRequest()

    - #### ConfigSetAdminRequest

          public ConfigSetAdminRequest(String path)

  - ### Method Detail

    - #### setAction

          protected ConfigSetAdminRequest setAction(ConfigSetParams.ConfigSetAction action)

    - #### getThis

          protected abstract Q getThis()

    - #### getParams

          public SolrParams getParams()

      Specified by:
        `getParams` in class `SolrRequest<R extends ConfigSetAdminResponse>`

    - #### getContentStreams

          public Collection<ContentStream> getContentStreams()
                                                      throws IOException

      Specified by:
        `getContentStreams` in class `SolrRequest<R extends ConfigSetAdminResponse>`
      Throws:
        `IOException`

    - #### createResponse

          protected abstract R createResponse(SolrClient client)

      Description copied from class: `SolrRequest`
      Create a new SolrResponse to hold the response from the server
      Specified by:
        `createResponse` in class `SolrRequest<R extends ConfigSetAdminResponse>`
      Parameters:
        `client` - the `SolrClient` the request will be sent to

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.